Subject: Re: Oops in nf_nat_core.c:find_appropriate_src(), kernel 2.6.25.4

From: Patrick McHardy <[email-masked]>
Date: Tue, 17 Jun 2008 15:44:16 +0200

Patrick McHardy wrote:
>> On Sat, 7 Jun 2008, Patrick McHardy wrote:
>>
>>>> Chuck Ebbert wrote:
>>>>> Reported at https://bugzilla.redhat.com/show_bug.cgi?id=449315
>>>>>
>>>> We have a similar looking report, but that one also affects 2.6.24:
>>>>
>>>> http://bugzilla.kernel.org/show_bug.cgi?id=10875
> 
> We found the reason for that crash and I've queued these two
> patches. Please let me know whether they also fix the problem
> from the redhat bugzilla.

Since there doesn't seem to be any progress, I'm going to send
this upstream now so we can get some testing before 2.6.26 is
released.

I'm going to hold off sending it to -stable though until there
is confirmation that it actually fixes this problem.